package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc设备信息对象 cmc_device
 *
 * @author cmc
 * @date 2024-03-14
 */
public class CmcDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备id */
    private Integer deviceId;

    /** 设备编码 */
    @Excel(name = "设备编码")
    private String deviceNumber;

    /** 出厂编号 */
    @Excel(name = "出厂编号")
    private String code;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String name;

    /** 设备类别 */
    @Excel(name = "设备类别")
    private String type;

    /** 购置时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "购置时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date acquisitionTime;

    /** 购买价格 */
    @Excel(name = "购买价格")
    private BigDecimal cost;

    /** 预计使用年限 */
    @Excel(name = "预计使用年限")
    private Integer expectLife;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String series;

    /** 设备品牌 */
    @Excel(name = "设备品牌")
    private String brand;

    /** 单日成本 */
    @Excel(name = "单日成本")
    private BigDecimal dayCost;

    /** 存放地点 */
    @Excel(name = "存放地点")
    private String place;

    /** 校验周期（年） */
    @Excel(name = "校验周期", readConverterExp = "年=")
    private Integer checkTerm;

    /** 校验时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "校验时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /** 保修期（月） */
    @Excel(name = "保修期", readConverterExp = "月=")
    private Integer warranty;

    /** 管理部门 */
    @Excel(name = "管理部门")
    private Long manageDept;

    public void setDeviceId(Integer deviceId)
    {
        this.deviceId = deviceId;
    }

    public Integer getDeviceId()
    {
        return deviceId;
    }
    public void setDeviceNumber(String deviceNumber)
    {
        this.deviceNumber = deviceNumber;
    }

    public String getDeviceNumber()
    {
        return deviceNumber;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setAcquisitionTime(Date acquisitionTime)
    {
        this.acquisitionTime = acquisitionTime;
    }

    public Date getAcquisitionTime()
    {
        return acquisitionTime;
    }
    public void setCost(BigDecimal cost)
    {
        this.cost = cost;
    }

    public BigDecimal getCost()
    {
        return cost;
    }
    public void setExpectLife(Integer expectLife)
    {
        this.expectLife = expectLife;
    }

    public Integer getExpectLife()
    {
        return expectLife;
    }
    public void setSeries(String series)
    {
        this.series = series;
    }

    public String getSeries()
    {
        return series;
    }
    public void setBrand(String brand)
    {
        this.brand = brand;
    }

    public String getBrand()
    {
        return brand;
    }
    public void setDayCost(BigDecimal dayCost)
    {
        this.dayCost = dayCost;
    }

    public BigDecimal getDayCost()
    {
        return dayCost;
    }
    public void setPlace(String place)
    {
        this.place = place;
    }

    public String getPlace()
    {
        return place;
    }
    public void setCheckTerm(Integer checkTerm)
    {
        this.checkTerm = checkTerm;
    }

    public Integer getCheckTerm()
    {
        return checkTerm;
    }
    public void setCheckTime(Date checkTime)
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime()
    {
        return checkTime;
    }
    public void setWarranty(Integer warranty)
    {
        this.warranty = warranty;
    }

    public Integer getWarranty()
    {
        return warranty;
    }
    public void setManageDept(Long manageDept)
    {
        this.manageDept = manageDept;
    }

    public Long getManageDept()
    {
        return manageDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("deviceId", getDeviceId())
                .append("deviceNumber", getDeviceNumber())
                .append("code", getCode())
                .append("name", getName())
                .append("type", getType())
                .append("acquisitionTime", getAcquisitionTime())
                .append("cost", getCost())
                .append("expectLife", getExpectLife())
                .append("series", getSeries())
                .append("brand", getBrand())
                .append("dayCost", getDayCost())
                .append("place", getPlace())
                .append("remark", getRemark())
                .append("checkTerm", getCheckTerm())
                .append("checkTime", getCheckTime())
                .append("warranty", getWarranty())
                .append("manageDept", getManageDept())
                .toString();
    }
}
